Index: palm/trunk/SCRIPTS/palm_gf_files/palm_gf.ui
===================================================================
--- palm/trunk/SCRIPTS/palm_gf_files/palm_gf.ui	(revision 4843)
+++ palm/trunk/SCRIPTS/palm_gf_files/palm_gf.ui	(revision 4869)
@@ -972,18 +165,502 @@
      </font>
     </property>
-    <property name="toolTip">
-     <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;tolerance for npex / npey&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-    </property>
-    <property name="text">
-     <string>Results</string>
-    </property>
-   </widget>
-   <widget class="Line" name="line_res_down">
-    <property name="geometry">
-     <rect>
-      <x>360</x>
-      <y>300</y>
-      <width>201</width>
+    <property name="text">
+     <string>   Define numerical grid</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="grid_min_label">
+    <property name="geometry">
+     <rect>
+      <x>10</x>
+      <y>82</y>
+      <width>71</width>
+      <height>21</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Minimum</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="grid_max_label">
+    <property name="geometry">
+     <rect>
+      <x>10</x>
+      <y>128</y>
+      <width>71</width>
+      <height>21</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Maximum</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="grid_nx_label">
+    <property name="geometry">
+     <rect>
+      <x>110</x>
+      <y>53</y>
+      <width>47</width>
+      <height>13</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>nx</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="grid_ny_label">
+    <property name="geometry">
+     <rect>
+      <x>240</x>
+      <y>53</y>
+      <width>47</width>
+      <height>13</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>ny</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="grid_nz_label">
+    <property name="geometry">
+     <rect>
+      <x>370</x>
+      <y>53</y>
+      <width>47</width>
+      <height>13</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>nz</string>
+    </property>
+   </widget>
+   <widget class="QWidget" name="verticalLayoutWidget">
+    <property name="geometry">
+     <rect>
+      <x>569</x>
+      <y>59</y>
+      <width>131</width>
+      <height>111</height>
+     </rect>
+    </property>
+    <layout class="QVBoxLayout" name="proc_layout_1">
+     <property name="spacing">
+      <number>5</number>
+     </property>
+     <item>
+      <widget class="QSpinBox" name="proc_min_box">
+       <property name="minimumSize">
+        <size>
+         <width>110</width>
+         <height>24</height>
+        </size>
+       </property>
+       <property name="maximumSize">
+        <size>
+         <width>100</width>
+         <height>16777215</height>
+        </size>
+       </property>
+       <property name="minimum">
+        <number>0</number>
+       </property>
+       <property name="maximum">
+        <number>99999999</number>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QSpinBox" name="proc_max_box">
+       <property name="minimumSize">
+        <size>
+         <width>110</width>
+         <height>24</height>
+        </size>
+       </property>
+       <property name="maximumSize">
+        <size>
+         <width>100</width>
+         <height>16777215</height>
+        </size>
+       </property>
+       <property name="minimum">
+        <number>1</number>
+       </property>
+       <property name="maximum">
+        <number>99999999</number>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </widget>
+   <widget class="QLabel" name="proc_header_label">
+    <property name="geometry">
+     <rect>
+      <x>500</x>
+      <y>10</y>
+      <width>191</width>
+      <height>16</height>
+     </rect>
+    </property>
+    <property name="font">
+     <font>
+      <weight>75</weight>
+      <bold>true</bold>
+     </font>
+    </property>
+    <property name="text">
+     <string>Define processor topology</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="proc_min_label">
+    <property name="geometry">
+     <rect>
+      <x>490</x>
+      <y>80</y>
+      <width>71</width>
       <height>20</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Minimum</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="proc_max_label">
+    <property name="geometry">
+     <rect>
+      <x>490</x>
+      <y>130</y>
+      <width>71</width>
+      <height>20</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Maximum</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="proc_nr_label">
+    <property name="geometry">
+     <rect>
+      <x>570</x>
+      <y>50</y>
+      <width>161</width>
+      <height>16</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Number of Processors</string>
+    </property>
+   </widget>
+   <widget class="Line" name="line">
+    <property name="geometry">
+     <rect>
+      <x>460</x>
+      <y>72</y>
+      <width>21</width>
+      <height>261</height>
+     </rect>
+    </property>
+    <property name="orientation">
+     <enum>Qt::Vertical</enum>
+    </property>
+   </widget>
+   <widget class="QLabel" name="psolver_header_label">
+    <property name="geometry">
+     <rect>
+      <x>9</x>
+      <y>223</y>
+      <width>141</width>
+      <height>16</height>
+     </rect>
+    </property>
+    <property name="font">
+     <font>
+      <weight>75</weight>
+      <bold>true</bold>
+     </font>
+    </property>
+    <property name="text">
+     <string>Pressure Solver</string>
+    </property>
+   </widget>
+   <widget class="QWidget" name="horizontalLayoutWidget">
+    <property name="geometry">
+     <rect>
+      <x>20</x>
+      <y>276</y>
+      <width>299</width>
+      <height>51</height>
+     </rect>
+    </property>
+    <layout class="QHBoxLayout" name="psolver_layout">
+     <property name="spacing">
+      <number>50</number>
+     </property>
+     <item>
+      <widget class="QComboBox" name="psolver_combo_box">
+       <item>
+        <property name="text">
+         <string>-</string>
+        </property>
+       </item>
+       <item>
+        <property name="text">
+         <string>poisfft</string>
+        </property>
+       </item>
+       <item>
+        <property name="text">
+         <string>multigrid_noopt</string>
+        </property>
+       </item>
+       <item>
+        <property name="text">
+         <string>multigrid</string>
+        </property>
+       </item>
+       <item>
+        <property name="text">
+         <string>sor</string>
+        </property>
+       </item>
+      </widget>
+     </item>
+     <item>
+      <widget class="QComboBox" name="fft_combo_box">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <item>
+        <property name="text">
+         <string>-</string>
+        </property>
+       </item>
+       <item>
+        <property name="text">
+         <string>FFTW</string>
+        </property>
+       </item>
+       <item>
+        <property name="text">
+         <string>Temperton</string>
+        </property>
+       </item>
+       <item>
+        <property name="text">
+         <string>Singleton</string>
+        </property>
+       </item>
+      </widget>
+     </item>
+    </layout>
+   </widget>
+   <widget class="QLabel" name="psolver_method_label">
+    <property name="geometry">
+     <rect>
+      <x>9</x>
+      <y>263</y>
+      <width>141</width>
+      <height>21</height>
+     </rect>
+    </property>
+    <property name="layoutDirection">
+     <enum>Qt::LeftToRight</enum>
+    </property>
+    <property name="text">
+     <string>Method (psolver)</string>
+    </property>
+    <property name="alignment">
+     <set>Qt::AlignCenter</set>
+    </property>
+   </widget>
+   <widget class="QLabel" name="psolver_fft_label">
+    <property name="geometry">
+     <rect>
+      <x>190</x>
+      <y>263</y>
+      <width>161</width>
+      <height>21</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Specify FFT-Method</string>
+    </property>
+    <property name="alignment">
+     <set>Qt::AlignCenter</set>
+    </property>
+   </widget>
+   <widget class="QWidget" name="gridLayoutWidget_2">
+    <property name="geometry">
+     <rect>
+      <x>500</x>
+      <y>169</y>
+      <width>292</width>
+      <height>131</height>
+     </rect>
+    </property>
+    <layout class="QGridLayout" name="proc_layout_2">
+     <item row="1" column="0">
+      <widget class="QCheckBox" name="npex_npey_ratio_check">
+       <property name="text">
+        <string>Set fixed ratio (npex/npey)</string>
+       </property>
+      </widget>
+     </item>
+     <item row="0" column="0">
+      <widget class="QCheckBox" name="strict_matching_check">
+       <property name="layoutDirection">
+        <enum>Qt::LeftToRight</enum>
+       </property>
+       <property name="text">
+        <string>Strict Matching</string>
+       </property>
+       <property name="tristate">
+        <bool>false</bool>
+       </property>
+      </widget>
+     </item>
+     <item row="0" column="1">
+      <widget class="QSpinBox" name="strict_matching_box">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <property name="minimumSize">
+        <size>
+         <width>44</width>
+         <height>24</height>
+        </size>
+       </property>
+       <property name="maximum">
+        <number>999</number>
+       </property>
+       <property name="value">
+        <number>24</number>
+       </property>
+      </widget>
+     </item>
+     <item row="2" column="1">
+      <widget class="QSpinBox" name="npex_npey_deviation_box">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <property name="minimumSize">
+        <size>
+         <width>0</width>
+         <height>24</height>
+        </size>
+       </property>
+       <property name="minimum">
+        <number>1</number>
+       </property>
+       <property name="maximum">
+        <number>3</number>
+       </property>
+       <property name="value">
+        <number>1</number>
+       </property>
+      </widget>
+     </item>
+     <item row="2" column="0">
+      <widget class="QSlider" name="npex_npey_deviation_slider">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <property name="minimum">
+        <number>1</number>
+       </property>
+       <property name="maximum">
+        <number>3</number>
+       </property>
+       <property name="value">
+        <number>1</number>
+       </property>
+       <property name="sliderPosition">
+        <number>1</number>
+       </property>
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+      </widget>
+     </item>
+     <item row="1" column="1">
+      <widget class="QDoubleSpinBox" name="npex_npey_ratio_box">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <property name="minimumSize">
+        <size>
+         <width>0</width>
+         <height>24</height>
+        </size>
+       </property>
+       <property name="minimum">
+        <double>1.000000000000000</double>
+       </property>
+       <property name="maximum">
+        <double>100.000000000000000</double>
+       </property>
+       <property name="value">
+        <double>1.000000000000000</double>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </widget>
+   <widget class="QWidget" name="horizontalLayoutWidget_2">
+    <property name="geometry">
+     <rect>
+      <x>20</x>
+      <y>170</y>
+      <width>234</width>
+      <height>41</height>
+     </rect>
+    </property>
+    <layout class="QHBoxLayout" name="grid_layout_2">
+     <property name="spacing">
+      <number>0</number>
+     </property>
+     <item>
+      <widget class="QCheckBox" name="nx_ny_ratio_check">
+       <property name="minimumSize">
+        <size>
+         <width>0</width>
+         <height>24</height>
+        </size>
+       </property>
+       <property name="text">
+        <string>Set fixed ratio (nx/ny)</string>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QDoubleSpinBox" name="nx_ny_ratio_box">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
+       <property name="minimumSize">
+        <size>
+         <width>0</width>
+         <height>24</height>
+        </size>
+       </property>
+       <property name="maximumSize">
+        <size>
+         <width>60</width>
+         <height>16777215</height>
+        </size>
+       </property>
+       <property name="value">
+        <double>1.000000000000000</double>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </widget>
+   <widget class="Line" name="line_2">
+    <property name="geometry">
+     <rect>
+      <x>480</x>
+      <y>292</y>
+      <width>241</width>
+      <height>16</height>
      </rect>
     </property>
@@ -992,144 +669,107 @@
     </property>
    </widget>
-   <widget class="QPushButton" name="view_result_button">
-    <property name="geometry">
-     <rect>
-      <x>490</x>
-      <y>281</y>
-      <width>75</width>
-      <height>23</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="text">
-     <string>View results</string>
-    </property>
-   </widget>
-   <widget class="QLabel" name="load_text_label">
-    <property name="geometry">
-     <rect>
-      <x>379</x>
-      <y>281</y>
-      <width>42</width>
-      <height>23</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Fixed" vsizetype="Minimum">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="minimumSize">
-     <size>
-      <width>0</width>
-      <height>23</height>
-     </size>
-    </property>
-    <property name="toolTip">
-     <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Number of results you want to load in this Ui.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-    </property>
-    <property name="text">
-     <string>  Load</string>
-    </property>
-   </widget>
-   <widget class="QSpinBox" name="nor_spinbox">
-    <property name="enabled">
-     <bool>false</bool>
-    </property>
-    <property name="geometry">
-     <rect>
-      <x>420</x>
-      <y>281</y>
-      <width>61</width>
-      <height>23</height>
-     </rect>
-    </property>
-    <property name="sizePolicy">
-     <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
-      <horstretch>0</horstretch>
-      <verstretch>0</verstretch>
-     </sizepolicy>
-    </property>
-    <property name="minimumSize">
-     <size>
-      <width>0</width>
-      <height>23</height>
-     </size>
-    </property>
-    <property name="maximum">
-     <number>9999</number>
-    </property>
-   </widget>
-   <widget class="QPushButton" name="startbutton">
-    <property name="geometry">
-     <rect>
-      <x>490</x>
-      <y>324</y>
-      <width>75</width>
-      <height>23</height>
-     </rect>
-    </property>
-    <property name="minimumSize">
-     <size>
-      <width>0</width>
-      <height>23</height>
-     </size>
-    </property>
-    <property name="maximumSize">
-     <size>
-      <width>16777215</width>
-      <height>23</height>
-     </size>
-    </property>
-    <property name="toolTip">
-     <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Starts calculation with the given parameters.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+   <widget class="QCheckBox" name="spectra_box">
+    <property name="geometry">
+     <rect>
+      <x>500</x>
+      <y>309</y>
+      <width>151</width>
+      <height>21</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Output of Spectra</string>
+    </property>
+   </widget>
+   <widget class="Line" name="line_3">
+    <property name="geometry">
+     <rect>
+      <x>20</x>
+      <y>331</y>
+      <width>701</width>
+      <height>20</height>
+     </rect>
+    </property>
+    <property name="orientation">
+     <enum>Qt::Horizontal</enum>
+    </property>
+   </widget>
+   <widget class="QPushButton" name="start_button">
+    <property name="geometry">
+     <rect>
+      <x>640</x>
+      <y>420</y>
+      <width>80</width>
+      <height>31</height>
+     </rect>
     </property>
     <property name="text">
      <string>Start</string>
     </property>
-    <property name="iconSize">
-     <size>
-      <width>18</width>
-      <height>18</height>
-     </size>
-    </property>
-   </widget>
-   <widget class="QPushButton" name="quitbutton">
-    <property name="geometry">
-     <rect>
-      <x>415</x>
-      <y>324</y>
-      <width>75</width>
-      <height>23</height>
-     </rect>
-    </property>
-    <property name="minimumSize">
-     <size>
-      <width>0</width>
-      <height>23</height>
-     </size>
+   </widget>
+   <widget class="QLabel" name="results_header_label">
+    <property name="geometry">
+     <rect>
+      <x>10</x>
+      <y>350</y>
+      <width>91</width>
+      <height>16</height>
+     </rect>
+    </property>
+    <property name="font">
+     <font>
+      <weight>75</weight>
+      <bold>true</bold>
+     </font>
+    </property>
+    <property name="text">
+     <string>Results</string>
+    </property>
+   </widget>
+   <widget class="QLabel" name="results_information_label">
+    <property name="geometry">
+     <rect>
+      <x>21</x>
+      <y>419</y>
+      <width>321</width>
+      <height>31</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Welcome to the Gridfinder.</string>
+    </property>
+   </widget>
+   <widget class="Line" name="line_4">
+    <property name="geometry">
+     <rect>
+      <x>460</x>
+      <y>346</y>
+      <width>20</width>
+      <height>111</height>
+     </rect>
+    </property>
+    <property name="orientation">
+     <enum>Qt::Vertical</enum>
+    </property>
+   </widget>
+   <widget class="QPushButton" name="quit_button">
+    <property name="geometry">
+     <rect>
+      <x>510</x>
+      <y>420</y>
+      <width>50</width>
+      <height>31</height>
+     </rect>
     </property>
     <property name="text">
      <string>Quit</string>
     </property>
-    <property name="iconSize">
-     <size>
-      <width>18</width>
-      <height>18</height>
-     </size>
-    </property>
-   </widget>
-   <widget class="QProgressBar" name="testbar">
-    <property name="geometry">
-     <rect>
-      <x>364</x>
-      <y>239</y>
-      <width>206</width>
+   </widget>
+   <widget class="QProgressBar" name="progressbar">
+    <property name="geometry">
+     <rect>
+      <x>20</x>
+      <y>380</y>
+      <width>441</width>
       <height>23</height>
      </rect>
@@ -1138,16 +778,32 @@
      <number>0</number>
     </property>
-   </widget>
-   <widget class="QPushButton" name="question_box">
-    <property name="geometry">
-     <rect>
-      <x>395</x>
-      <y>324</y>
-      <width>21</width>
-      <height>23</height>
-     </rect>
-    </property>
-    <property name="text">
-     <string>?</string>
+    <property name="textVisible">
+     <bool>true</bool>
+    </property>
+   </widget>
+   <widget class="QPushButton" name="reset_button">
+    <property name="geometry">
+     <rect>
+      <x>560</x>
+      <y>420</y>
+      <width>80</width>
+      <height>31</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>Reset</string>
+    </property>
+   </widget>
+   <widget class="QPushButton" name="view_button">
+    <property name="geometry">
+     <rect>
+      <x>350</x>
+      <y>420</y>
+      <width>100</width>
+      <height>31</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string>View Data</string>
     </property>
    </widget>
@@ -1158,28 +814,10 @@
      <x>0</x>
      <y>0</y>
-     <width>584</width>
-     <height>20</height>
+     <width>797</width>
+     <height>22</height>
     </rect>
    </property>
-   <widget class="QMenu" name="menuGridfinder">
-    <property name="title">
-     <string>Gridfinder</string>
-    </property>
-    <addaction name="actionSetting"/>
-    <addaction name="actionSchlie_en"/>
-   </widget>
-   <addaction name="menuGridfinder"/>
   </widget>
   <widget class="QStatusBar" name="statusbar"/>
-  <action name="actionSchlie_en">
-   <property name="text">
-    <string>SchlieÃen</string>
-   </property>
-  </action>
-  <action name="actionSetting">
-   <property name="text">
-    <string>Settings</string>
-   </property>
-  </action>
  </widget>
  <tabstops>
@@ -1190,23 +828,56 @@
   <tabstop>nz_min_box</tabstop>
   <tabstop>nz_max_box</tabstop>
-  <tabstop>np_min_box</tabstop>
-  <tabstop>np_max_box</tabstop>
-  <tabstop>tpn_box</tabstop>
-  <tabstop>d_box</tabstop>
-  <tabstop>dnxny_box</tabstop>
-  <tabstop>psolver_box</tabstop>
-  <tabstop>fft_method_box</tabstop>
-  <tabstop>startbutton</tabstop>
-  <tabstop>nor_spinbox</tabstop>
-  <tabstop>view_result_button</tabstop>
-  <tabstop>save_button</tabstop>
-  <tabstop>quitbutton</tabstop>
-  <tabstop>filename_line</tabstop>
-  <tabstop>Oos_checkbox</tabstop>
+  <tabstop>proc_min_box</tabstop>
+  <tabstop>proc_max_box</tabstop>
+  <tabstop>psolver_combo_box</tabstop>
+  <tabstop>fft_combo_box</tabstop>
+  <tabstop>nx_ny_ratio_check</tabstop>
+  <tabstop>nx_ny_ratio_box</tabstop>
+  <tabstop>strict_matching_check</tabstop>
+  <tabstop>strict_matching_box</tabstop>
+  <tabstop>npex_npey_ratio_check</tabstop>
+  <tabstop>npex_npey_ratio_box</tabstop>
+  <tabstop>npex_npey_deviation_slider</tabstop>
+  <tabstop>npex_npey_deviation_box</tabstop>
+  <tabstop>spectra_box</tabstop>
+  <tabstop>start_button</tabstop>
+  <tabstop>quit_button</tabstop>
  </tabstops>
  <resources/>
  <connections>
   <connection>
-   <sender>quitbutton</sender>
+   <sender>npex_npey_deviation_slider</sender>
+   <signal>valueChanged(int)</signal>
+   <receiver>npex_npey_deviation_box</receiver>
+   <slot>setValue(int)</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>580</x>
+     <y>295</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>693</x>
+     <y>295</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>npex_npey_deviation_box</sender>
+   <signal>valueChanged(int)</signal>
+   <receiver>npex_npey_deviation_slider</receiver>
+   <slot>setValue(int)</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>693</x>
+     <y>295</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>580</x>
+     <y>295</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>quit_button</sender>
    <signal>clicked()</signal>
    <receiver>MainWindow</receiver>
@@ -1214,106 +885,10 @@
    <hints>
     <hint type="sourcelabel">
-     <x>448</x>
-     <y>335</y>
+     <x>534</x>
+     <y>456</y>
     </hint>
     <hint type="destinationlabel">
-     <x>291</x>
-     <y>187</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>strict_box</sender>
-   <signal>clicked(bool)</signal>
-   <receiver>tpn_box</receiver>
-   <slot>setVisible(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>422</x>
-     <y>193</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>514</x>
-     <y>193</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>npex_npey_box</sender>
-   <signal>clicked(bool)</signal>
-   <receiver>d_box</receiver>
-   <slot>setVisible(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>422</x>
-     <y>193</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>513</x>
-     <y>193</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>tolerance_bar</sender>
-   <signal>valueChanged(int)</signal>
-   <receiver>tolerance_value</receiver>
-   <slot>setValue(int)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>430</x>
-     <y>221</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>521</x>
-     <y>220</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>npex_npey_box</sender>
-   <signal>clicked(bool)</signal>
-   <receiver>tolerance_bar</receiver>
-   <slot>setVisible(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>422</x>
-     <y>193</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>430</x>
-     <y>221</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>npex_npey_box</sender>
-   <signal>clicked(bool)</signal>
-   <receiver>tolerance_value</receiver>
-   <slot>setVisible(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>422</x>
-     <y>193</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>521</x>
-     <y>220</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>tolerance_value</sender>
-   <signal>valueChanged(int)</signal>
-   <receiver>tolerance_bar</receiver>
-   <slot>setValue(int)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>521</x>
-     <y>220</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>430</x>
-     <y>221</y>
+     <x>370</x>
+     <y>249</y>
     </hint>
    </hints>
